/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.graphics2;

public class Shape {
	String type;
	Stroke stroke;
	Fill fill;
	
	public Shape() {
		stroke = new Stroke();
		fill = new Fill();
	};
	public native Shape getShape() /*-{
	   
	   }-*/;

	public native void setShape(Shape shape) /*-{
	   
	   }-*/;

	public void setStroke(Stroke stroke) {
		this.stroke = stroke;
	}
	
	public Stroke getStroke() {
		return stroke;
	}

	public  Fill getFill() {
		return fill;
	}

	public  void setFill(Fill fill) {
	}

	public native Matrix getTransform() /*-{
	   
	   }-*/;

	public native void setTransform() /*-{
	   
	   }-*/;

	public native void applyRightTransform(Matrix matrix) /*-{
	   
	   }-*/;

	public native void applyLeftTransform(Matrix matrix) /*-{
	   
	   }-*/;

	public native void applyTransform(Matrix matrix) /*-{
	   
	   }-*/;

	public native Shape moveToFront() /*-{
	   
	   }-*/;

	public native Shape moveToBack() /*-{
	   
	   }-*/;

	public native void removeShape() /*-{
	  
	  }-*/;

	public native Object getParent() /*-{
	  
	  }-*/;

	public native Object getBoundingBox() /*-{
	  
	  }-*/;

	public native Shape getNode() /*-{
	  
	  }-*/;

	public native Shape getEventSource() /*-{
	  
	  }-*/;

}
